<template>
  <v-row no-gutters>
    <v-col class="ma-5">
      <title-zone
        class="mb-10"
        :title="title"
      />
      <general-info class="mb-10" />
    </v-col>
  </v-row>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import { hashId } from '~/helpers/format/ids';
import TitleZone from '~/components/Common/Page/TitleZone';
import GeneralInfo from '~/components/Company/Centers/Details/GeneralInfo';

export default {
  name: 'CenterDetails',
  components: {
    TitleZone,
    GeneralInfo,
  },
  data: () => ({
    loading: false,
  }),
  computed: {
    centerId() {
      return this.$route.params.id;
    },
    title() {
      return `Centro de Distribución ${hashId({ id: this.centerId })}`;
    },
    ...mapState({
      area: state => state.storage.shipments.current.area,
    }),
  },
  async mounted() {
    await this.getCurrentCenterDetails();
  },
  methods: {
    ...mapActions({
      getCenterDetails: 'company/centers/getCenterDetails',
    }),
    async getCurrentCenterDetails() {
      try {
        this.loading = true;
        await this.getCenterDetails({ centerId: this.centerId });
      } catch (e) {
        console.error(e);
      }
      this.loading = false;
    },
  },
};
</script>
